package com.org.hktshop.Interface.system;

import com.org.hktshop.base.IBaseService;
import com.org.hktshop.dto.CategoryInfo;
import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.system.HktFavorites;
import com.org.hktshop.entity.user.HktUser;

import java.util.List;
import java.util.Set;

public interface HktFavoritesService extends IBaseService<HktFavorites> {
    void saveHktFavorites(HktFavorites hktFavorites);

    void deleteHktFavorites(HktFavorites hktFavorites);

    void updateHktFavorites(HktFavorites hktFavorites);

    HktFavorites getHktFavoritesById(String goodId);

    Set<String> getIdGoodsByUser();

    Page<HktFavorites> favoritePage(HktFavorites hktFavorites);

    List<CategoryInfo> getCategoryInfo(String userId);

    List<HktFavorites> getHktFavoritesByUserId(String userId);
}
